<?
list($w, $dom, $tld) = explode('.', $_SERVER['SERVER_NAME']);

$postmasterAddr = "postmaster &lt;at&gt; $dom &lt;dot&gt; $tld";

$tok = strtok($GLOBALS['HTTP_ACCEPT_LANGUAGE'], "[-,]");
if(($tok == 'de') ||
   ($tok == 'en') ||
   ($tok == 'it'))
  $lang = $tok;
else
  $lang = 'en';

print "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n";

function displayDE()
{
  global $postmasterAddr;
?>
    <h1>Hinweise f&uuml;r Postmaster</h1>
    <p>Ihre E-Mail wurde vom Mailsystem aus einem der folgenden Gr&uuml;nde nicht akzeptiert:</p>
    <ul>
      <li>die E-Mail enth&auml;lt ein Virus</li>
      <li>es liegt keine g&uuml;ltige Authentifizierung f&uuml;r den Versand &uuml;ber dieses Mailsystem vor</li>
      <li>der Empf&auml;nger ist nicht bekannt</li>
      <li>die E-Mail wurde von einer dynamischen IP-Adresse zugestellt (Dialup-, Dialin-, DSL-, Cable-IP)</li>
      <li>der Absender wurde vom Administrator gesperrt</li>
      <li>die IP des einliefernden Servers wurde vom Administrator gesperrt oder ist in einer Blacklist enthalten;<br/>
        unter <a href="http://www.sorbs.net/lookup.shtml">http://www.sorbs.net/lookup.shtml</a>
        k&ouml;nnen Sie pr&uuml;fen, ob und warum eine IP-Adresse dort evtl. gef&uuml;hrt wird</li>
      <li>laut den <a href="http://www.openspf.org/">SPF-Informationen</a> des Absenders, wurde Ihre E-Mail nicht von einem g&uuml;ltigen Mailserver aus versandt</li>
      <li>die E-Mail ist nicht RFC 2822 konform</li>
      <li>die E-Mail ist als Spam von unserem System markiert worden</li>
      <li>die E-Mail enth&auml;lt eine falsche DomainKey Signature</li>
      <li>die E-Mail ist gr&ouml;&szlig;er als die Grenze, die der Postmaster festegelegt hat</li>
    </ul>
    <p>Beachten Sie bitte dass E-Mails, auch wenn Sie vom Mailserver akzeptiert wurden, aufgrund von Spam-Schutz Einstellungen gefiltert werden.</p>
    <p><b>Kontakt</b>: <? print $postmasterAddr; ?><br/>
    Bitte beim Kontakt mit dem Postmaster, den Fehlercode (zB: PRR01) angeben!</p>
<?
}

function displayEN()
{
  global $postmasterAddr;
?>
    <h1>Hints for postmasters</h1>
    <p>Your E-Mail was rejected by the mail system for one of the following reasons:</p>
    <ul>
      <li>the E-Mail contains a virus</li>
      <li>there was no valid authentication prior to sending mail via this mail system</li>
      <li>the recipient address was unknown</li>
      <li>the E-Mail originated from a known dynamic IP address (Dialup, DSL, Cable IP)</li>
      <li>the sender address was blocked by this postmaster</li>
      <li>the originating IP was blocked by this postmaster or is contained in a public blacklist;<br/>
        at <a href="http://www.sorbs.net/lookup.shtml">http://www.sorbs.net/lookup.shtml</a>
        you may check if and why your IP address might be contained in that list</li>
      <li>based on the <a href="http://www.openspf.org/">SPF information</a> of your domain, your E-Mail was not sent from a valid server</li>
      <li>the E-Mail did not conform to RFC 2822</li>
      <li>the E-Mail was marked as spam from our system</li>
      <li>the E-Mail contains an invalid DomainKey Signature</li>
      <li>the E-Mail is bigger as the limit the postmaster setted</li>
    </ul>
    <p>Please note that E-Mails will be filtered for spam, even though they were accepted by the mail system.</p>
    <p><b>Contact</b>: <? print $postmasterAddr; ?><br/>
    Please by contacting the postmaster, give the error code (eg: PRR01), too!</p>
<?
}

function displayIT()
{
  global $postmasterAddr;
?>
    <h1>Avviso per i postmasters</h1>
    <p>La vostra E-Mail &egrave; stata rifiutata per una delle seguenti ragioni:</p>
    <ul>
      <li>l'E-Mail contiene un Virus</li>
      <li>non &egrave; stata effettuata nessuna autenticazione valida per questo sistema</li>
      <li>il destinatario dell'E-Mail &egrave; sconosciuto</li>
      <li>l'E-Mail arriva da un IP dinamico (Dialup, DSL, Cable)</li>
      <li>il mittente &egrave; stato bloccato dall'amministratore</li>
      <li>l'IP da cui arriva l'E-Mail &egrave; stato bloccato dall'amministratore, oppure si trova in una blacklist pubblica;<br/>
        all'URL <a href="http://www.sorbs.net/lookup.shtml">http://www.sorbs.net/lookup.shtml</a>
        potete controllare se il vostro IP &egrave; stato inserito in queste liste e perch&eacute;</li>
      <li>secondo le <a href="http://www.openspf.org/">informazioni SPF</a> del vostro dominio, l'E-Mail non proviene da un Server valido</li>
      <li>l'E-Mail non &egrave; conforme alla RFC 2822</li>
      <li>l'E-Mail &egrave; stata riconosciuta come spam dal nostro sistema</li>
      <li>l'E-Mail contiene DomainKey Signature non valida</li>
      <li>l'E-Mail &egrave; pi&ugrave; grossa del limite che ha deciso il postmaster</li>
    </ul>
    <p>Considerate infine che le E-Mail, quando sono state accettate, vengono comunque filtrate dal nostro sistema antispam.</p>
    <p><b>Contatto</b>: <? print $postmasterAddr; ?><br/>
    Per favore, se contattate il postmaster, citate sempre il codice di errore (per esempio: PRR01)!</p>
<?
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
    "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" >
  <head>
    <title>Postmaster Info</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
  </head>
  <body>
<?
if($lang == 'de')
{
  displayDE();
  print "<p></p>\n";
  displayEN();
  print "<p></p>\n";
  displayIT();
}
if($lang == 'en')
{
  displayEN();
  print "<p></p>\n";
  displayDE();
  print "<p></p>\n";
  displayIT();
}
if($lang == 'it')
{
  displayIT();
  print "<p></p>\n";
  displayDE();
  print "<p></p>\n";
  displayEN();
}
?>
    <p><a href="http://validator.w3.org/check?uri=referer"><img src="http://www.w3.org/Icons/valid-xhtml11" alt="Valid XHTML 1.1" height="31" width="88"/></a></p>
  </body>
</html>
